# UAE Drivers License Verification

The UAE Driver's License Verification API allows users to verify the validity and details of a driver's license issued in the United Arab Emirates.

### Submit Document

#### uae\_driving\_license

`POST` `https://secctrl.tutelar.io/api/v1/kyc/identity/uae_driving_license`

Post parameters description is given below,

| Post Parameter    | Type   | Is Mandatory | Description               |
| ----------------- | ------ | ------------ | ------------------------- |
| id\_number        | String | Yes          | Drivers license id number |
| issue\_date       | String | Yes          | Issued date               |
| traffic\_code\_no | String | Yes          | Traffic code number       |
| birth\_year       | String | Yes          | date of year              |

#### Sample Post Parameters

```json
{
    "id_number": "1503952",
    "issue_date": "2009-10-20",
    "traffic_code_no": "11767743",
    "birth_year": "2000"
}
```

#### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "9e5ece72-ce5c-4690-a393-193b026f3b46",
    "status": "completed",
    "result": {
        "idNumber": "1503952",
        "issueDate": "2009-10-20",
        "trafficCodeNo": "11767743",
        "birthYear": "2000",
        "fullName": "BALAGURU THANGADURAI",
        "blackPoints": "0",
        "licenseType": "Permanent",
        "licenseStatus": "",
        "dob": "1983-04-24",
        "expiryDate": "",
        "vehicleClass": [
            {
                "vehicleType": "Heavy Bus",
                "validTill": ""
            },
            {
                "vehicleType": "Light Bus",
                "validTill": ""
            }
        ],
        "eyeTestResults": {
            "testCenter": "Optech Klekshnz",
            "rightEyeResult": "6/6",
            "leftEyeResult": "6/6",
            "colorBlindness": "Fit",
            "testDate": "2019-06-09",
            "testExpiryDate": "2022-06-09"
        }
    },
    "requested_at": "2026-01-27T11:32:41.031Z",
    "completed_at": "2026-01-27T11:32:43.000Z"
}
```

#### 200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "a3376090-5862-42ae-87d5-b2aec14900d7",
  "status": "in_progress",
  "requested_at": "2026-01-27T08:05:58.605Z"
}
```

#### 400: Validation Error Response

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "ID Number should not be empty",
        "field": "id_number",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Issue Date should not be empty",
        "field": "issue_date",
        "code": "BAD_REQUEST"
    }
},

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Traffic Code No should not be empty",
        "field": "traffic_code_no",
        "code": "BAD_REQUEST"
    }
},

{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Birth Year should not be empty",
        "field": "birth_year",
        "code": "BAD_REQUEST"
    }
}
```

#### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "8efd600f-0f1f-4309-b779-e1a00aa2199a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T11:32:41.031Z",
    "completed_at": "2026-01-27T11:32:43.000Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/identity/uae_driving_license`

Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

#### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "9e5ece72-ce5c-4690-a393-193b026f3b46",
    "status": "completed",
    "result": {
        "idNumber": "1503952",
        "issueDate": "2009-10-20",
        "trafficCodeNo": "11767743",
        "birthYear": "2000",
        "fullName": "BALAGURU THANGADURAI",
        "blackPoints": "0",
        "licenseType": "Permanent",
        "licenseStatus": "",
        "dob": "1983-04-24",
        "expiryDate": "",
        "vehicleClass": [
            {
                "vehicleType": "Heavy Bus",
                "validTill": ""
            },
            {
                "vehicleType": "Light Bus",
                "validTill": ""
            }
        ],
        "eyeTestResults": {
            "testCenter": "Optech Klekshnz",
            "rightEyeResult": "6/6",
            "leftEyeResult": "6/6",
            "colorBlindness": "Fit",
            "testDate": "2019-06-09",
            "testExpiryDate": "2022-06-09"
        }
    },
    "requested_at": "2026-01-27T11:32:41.031Z",
    "completed_at": "2026-01-27T11:32:43.000Z"
}
```

#### 200: InProgress Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "8dbbf913-ef24-4951-b0db-2645d4516aa6",
    "status": "in_progress",
    "requested_at": "2026-01-27T11:28:05.523Z"
}
```

#### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "8efd600f-0f1f-4309-b779-e1a00aa2199a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T11:32:41.031Z",
    "completed_at": "2026-01-27T11:32:43.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/uae-drivers-license-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
